org.apache.solr.util

## Class RecordingJSONParser

- java.lang.Object
- - org.noggit.JSONParser
  - - org.apache.solr.util.RecordingJSONParser

-     public class RecordingJSONParser
      extends org.noggit.JSONParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.noggit.JSONParser

      `org.noggit.JSONParser.ParseException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `lastMarkedPosition`

    - ### Fields inherited from class org.noggit.JSONParser

      `ALLOW_BACKSLASH_ESCAPING_ANY_CHARACTER, ALLOW_COMMENTS, ALLOW_SINGLE_QUOTES, ALLOW_UNQUOTED_KEYS, ALLOW_UNQUOTED_STRING_VALUES, ARRAY_END, ARRAY_START, BIGNUMBER, BOOLEAN, EOF, FLAGS_STRICT, LONG, NULL, NUMBER, OBJECT_END, OBJECT_START, STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordingJSONParser(Reader in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.noggit.JSONParser.ParseException` | `error(String msg)`
    `protected void` | `fill()`
    `String` | `getBuf()`
    `int` | `nextEvent()`
    `void` | `resetBuf()`

    - ### Methods inherited from class org.noggit.JSONParser

      `err, getBoolean, getChar, getCharNWS, getCharNWS, getDouble, getEventString, getFlags, getLevel, getLong, getNewlineComment, getNull, getNumberChars, getNumberChars, getPosition, getSlashComment, getString, getString, getStringChars, lastEvent, setFlags, toString, wasKey`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lastMarkedPosition

          public long lastMarkedPosition

  - ### Constructor Detail

    - #### RecordingJSONParser

          public RecordingJSONParser(Reader in)

  - ### Method Detail

    - #### resetBuf

          public void resetBuf()

    - #### nextEvent

          public int nextEvent()
                        throws IOException

      Overrides:
        `nextEvent` in class `org.noggit.JSONParser`
      Throws:
        `IOException`

    - #### fill

          protected void fill()
                       throws IOException

      Overrides:
        `fill` in class `org.noggit.JSONParser`
      Throws:
        `IOException`

    - #### getBuf

          public String getBuf()

    - #### error

          public org.noggit.JSONParser.ParseException error(String msg)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.